<template>
    <div
        v-if="pageReady"
        class="w-full"
    >
        <div
            class="px-4 py-2 flex flex-col gap-2"
        >
            <navigation-bar />
            <credit-balance-box
                :credit-id="2"
            />
            <div
                class="border-b border-gray-400 pt-2 mb-2"
            />
            <div>
                <auto-datatable
                    ref="dt"
                    model="UserTransaction"
                    :dark="true"
                    :hidden-filters="[
                        {name: 'f-credit_type', value: '2'}
                    ]"
                    :headers="[
                        {label: '#', name: 'id'},
                        {label: $t('description'), name: 'transaction_type_explained', column: 'transaction_type'},
                        {label: $t('amount'), name: 'amount'},
                        {label: $t('created_at'), name: 'created_at'},
                    ]"
                >
                    <template #default="{records}">
                        <tr
                            v-for="(record, i) in records"
                            :key="i"
                        >
                            <td>{{ i+1 }}</td>
                            <td>{{ record.transaction_type_explained }}</td>
                            <td>{{ $helper.fundFormat(record.amount) }}</td>
                            <td>{{ $helper.dateTimeFormat(record.created_at) }}</td>
                        </tr>
                    </template>
                </auto-datatable>
            </div>
        </div>
    </div>
</template>

<script setup>
import {onMounted, ref} from "vue";
import CreditBalanceBox from '~/components/credit/balance-box.vue';
import {useUserStore} from "~/stores/user.js";
import NavigationBar from "./navigation-bar.vue";
import AutoDatatable from "~/components/auto-datatable.vue";

const pageReady = ref(false);
const $userStore = useUserStore();

onMounted(async () => {
    await $userStore.fetchAccount();
    pageReady.value = true;
});
</script>
